package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDPolicyOwner;
import com.sa.ibiz.demo.demo.service.dto.TSSDPolicyOwnerSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDPolicyOwner] 服务对象接口
 */
public interface TSSDPolicyOwnerService extends IService<TSSDPolicyOwner>{

	boolean checkKey(TSSDPolicyOwner et);
	boolean create(TSSDPolicyOwner et);
		TSSDPolicyOwner get(TSSDPolicyOwner et);
	boolean getDraft(TSSDPolicyOwner et);
	boolean update(TSSDPolicyOwner et);
	boolean remove(TSSDPolicyOwner et);
    List<TSSDPolicyOwner> listDefault(TSSDPolicyOwnerSearchFilter filter) ;
	Page<TSSDPolicyOwner> searchDefault(TSSDPolicyOwnerSearchFilter filter);
	/**	 实体[TSSDPolicyOwner] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }